https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a transaction request (such as a capture or secondary adjustment) referencing an original payment via its Retrieval Reference Number.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "123456789123",      "transactionReferenceId": "TXN000"    },    "transactionRequest": {      "transactionType": 6,      "rrn": "219313501821",      "amount": "1500"    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "6",
    "transactionId": "TXID-99441122",
    "amount": "1500",
    "responseApprovalCode": "APP11223",
    "rrn": "219313501821",
    "transactionNumber": "4321",
    "batchNumber": "123"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}